
CoCoALib - Feature #931

GBasis verbose mode

24 Sep 2016 21:45 - John Abbott

Status: Closed Start date: 24 Sep 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 3.00 hours

Target version: CoCoALib-0.99550 spring 2017 Spent time: 2.20 hours

Description

Make GBasis verbose mode official (both in CoCoALib and CoCoA-5).

Requested by Tetsuo Ida

Related issues:

Related to CoCoALib - Feature #962: General verbose mode? Closed 07 Nov 2016

Related to CoCoALib - Feature #957: New function: HasGBasis Closed 27 Oct 2016

Related to CoCoALib - Feature #730: Stats in GBMill (GReductor) Closed 10 Jun 2015

History

#1 - 07 Nov 2016 13:34 - John Abbott

- Related to Feature #962: General verbose mode? added

#2 - 23 Nov 2016 08:25 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 10

Now we have SetVerbosityLevel  it should be (almost) trivial.

#3 - 23 Nov 2016 08:26 - Anna Maria Bigatti

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99550 spring 2017

#4 - 05 Dec 2016 10:30 - Anna Maria Bigatti

Added first verbosity comments activated with

SetVerbosityLevel(1965);

#5 - 05 Dec 2016 10:30 - Anna Maria Bigatti

- % Done changed from 10 to 50

#6 - 12 Jan 2017 15:13 - Anna Maria Bigatti

- Related to Feature #957: New function: HasGBasis added

#7 - 20 Jan 2017 15:44 - John Abbott

- Status changed from New to In Progress

Which target version should we opt for?
I suggest postponing for a later release (unless you think that this is almost done: 50% complete suggests not).

#8 - 23 Jan 2017 15:20 - John Abbott

I set verbosity level to 1965 then tried calling ImplicitHypesurface with the option ElimTH, but no verbose messages appeared.  Is this what you would

expect?

#9 - 02 Mar 2017 11:08 - John Abbott

Answer to previous question is that internally Anna uses a hack: she calls myDoGBasisElimFirst rather than the general myDoGBasis.

Sooner or later these two function should be merged into one (presumably with a suitable flag).

In the meantime, Anna plans to add the appropriate verbosity lines to myDoGBasisElimFirst.

#10 - 02 Mar 2017 13:39 - Anna Maria Bigatti

John Abbott wrote:

In the meantime, Anna plans to add the appropriate verbosity lines to myDoGBasisElimFirst.

 

done

#11 - 02 Mar 2017 13:46 - Anna Maria Bigatti

Set 100 for first GBasis printouts

#12 - 29 Mar 2017 18:25 - Anna Maria Bigatti

- % Done changed from 50 to 90

Current setting seems satisfactory.

Documented in cocoa-5.... not in CoCoALib.

Can we avoid this duplication of documentation?

2017-04-22 NOTE JAA does not see how to avoid duplicating the documentation.

#13 - 14 Apr 2017 14:51 - Anna Maria Bigatti

- Related to Feature #730: Stats in GBMill (GReductor) added

#14 - 26 Apr 2017 14:51 - Anna Maria Bigatti

I cleaned up the code a bit, and settled some values for verbosity.

100 and 101 give some basic informations, for all the rest I gave values 105--150.

Checking in.

#15 - 26 Apr 2017 15:01 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Estimated time set to 3.00 h
Verbosity is also related to printing final statistics (#730).

That might change, but the basic progress information (level 100 and 101) are probably settled.

I suggest closing this and readjust higher levels in issue #730.

#16 - 29 Apr 2017 08:36 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
